<!doctype html>
<html>
<head>
    <title>Sunsetting Tor Messenger | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Sunsetting Tor Messenger | Tor Project">
    <meta property="og:description" content="In 2015, we introduced Tor Messenger, a cross-platform chat program that aimed to be secure by...">
    <meta property="og:image" content="https://blog.torproject.org/sunsetting-tor-messenger/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/sunsetting-tor-messenger/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Sunsetting Tor Messenger
      </h1>
    <p class="meta">by sukhbir | April 2, 2018</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>In 2015, we <a href="https://blog.torproject.org/tor-messenger-beta-chat-over-tor-easily">introduced</a> Tor Messenger, a cross-platform chat program that aimed to be secure by default by sending all of its traffic over Tor and enforcing encrypted one-to-one conversations by bundling and using <a href="https://otr.cypherpunks.ca/">OTR</a> (Off-the-Record) messaging. The aim was to provide a chat client that supported a wide variety of transport networks like Jabber (XMPP), IRC, Google Talk, Facebook, Twitter; had an easy-to-use graphical interface; and configured most of the security and privacy settings automatically with minimal user intervention.</p>
<p>When we released the first version, we tried to clearly identify the limitations of such a product: Tor Messenger was meant for communicating over existing social networks. This meant that in such a client-server model, your metadata could be logged by the server, but your route to the server would be not be disclosed because it would be over Tor, and your communications would be encrypted with Off-the-Record messaging. We still thought this was a better alternative than the other products in the market, such as Pidgin, because it had safer and secure default configurations.</p>
<p>Eleven beta releases later, we have, sadly, decided to discontinue supporting Tor Messenger. Here's why:</p>
<p><strong>1. Instantbird Development Has Halted</strong></p>
<p>Tor Messenger is based on Instantbird (see the original blog post on why we picked Instantbird), a product that is no longer <a href="http://blog.queze.net/post/2017/10/18/Thunderbird-is-the-next-version-of-Instantbird">maintained by its developers</a>. While the chat features will be ported over to Thunderbird as they share the same codebase, the UI itself is no longer developed. The necessity of porting to Thunderbird also gave us the opportunity to step back and assess progress -- the adoption of Tor Messenger was low and the real need is for metadata-free alternatives.</p>
<p><strong>2. The Metadata Problem</strong></p>
<p>As described above, a centralized client-server architecture suffers from metadata leaks and Tor Messenger inherits those problems while being unable to mitigate them. Metadata leaks information about participants and their social graphs, and while it does not reveal the actual data, it can reveal patterns about your communication: who your friends are, when you talk to them, how much you talk to them, etc.</p>
<p><strong>3. Limited Resources</strong></p>
<p>Even after all the releases, Tor Messenger was still in beta and we had never completed an external audit (there were two internal audits by Tor developers). We were also ignoring user requests for features and bug reports due to the limited resources we could allocate to the project. Given these circumstances, we decided it's best to discontinue rather than ship an incomplete product.</p>
<h2>Existing Users and Recommendations</h2>
<p>We alas recognize that this step doesn't leave users with many good options. Check out EFF's <a href="https://www.eff.org/deeplinks/2018/03/building-secure-messenger">series about secure messaging</a> to get up to speed on what to consider in a messenger. If you still really need XMPP, despite its centralized metadata problems, check out <a href="https://coy.im/">CoyIM</a>.  </p>
<h2>Questions?</h2>
<p>We realize this announcement may raise some questions, so please feel free to use the comment section below and we will try to address them. We apologize for any inconvenience this may have caused.</p>
<p>We still believe in Tor's ability to be used in a messaging app, but sadly, we don't have the resources to make it happen right now. Maybe you do?</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-274712"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274712" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>John (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274712">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274712" class="permalink" rel="bookmark">Will someone else take on…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Will someone else take on this project as it is Libre/Free Software?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274714"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274714" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>hoek (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274714">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274714" class="permalink" rel="bookmark">Telegram and Signal are not…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Telegram and Signal are not too bad for secure communication. Would be nice to have something similar but not build on phone number.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274718"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274718" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Sushi (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274714" class="permalink" rel="bookmark">Telegram and Signal are not…</a> by <span>hoek (not verified)</span></p>
    <a href="#comment-274718">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274718" class="permalink" rel="bookmark">Hey, the alternative you are…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey, the alternative you are looking for is Wire then as you can register using email.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274724"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274724" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Joe (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274714" class="permalink" rel="bookmark">Telegram and Signal are not…</a> by <span>hoek (not verified)</span></p>
    <a href="#comment-274724">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274724" class="permalink" rel="bookmark">Check out riot.im</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Check out riot.im</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274726"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274726" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>John (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274724" class="permalink" rel="bookmark">Check out riot.im</a> by <span>Joe (not verified)</span></p>
    <a href="#comment-274726">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274726" class="permalink" rel="bookmark">Second. Riot is a role-model…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Second. Riot is a role-model for decentralized, secure messaging, and I hope its adoption increases.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274824"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274824" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 06, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274724" class="permalink" rel="bookmark">Check out riot.im</a> by <span>Joe (not verified)</span></p>
    <a href="#comment-274824">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274824" class="permalink" rel="bookmark">Matrix/riot is good, but…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Matrix/riot is good, but mostly for not too much paranoia people. At the moment encrypted chat history is stored forever at matrix servers, which is not good, but necessary to make multi-client support with synchronized chat histories.</p>
<p>Matrix protocol is now in competition with XMPP+e2e+OMEMO+lot_of_XEPs, but is more mobile based with more integration and support out of the box. Main advantage of matrix for tor people is the support of offline encrypted messages with forward secrecy and encrypted multi-user chats (e2e VoIP and file/image transfer is also supported).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274755"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274755" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274714" class="permalink" rel="bookmark">Telegram and Signal are not…</a> by <span>hoek (not verified)</span></p>
    <a href="#comment-274755">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274755" class="permalink" rel="bookmark">Telegram is shit. No end-to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Telegram is shit. No end-to-end encryption by default. There are so called secret chats, which do provide end-to-end encryption, but almost nobody uses them. Telegram's protocol is of questionable quality. The company offers a security bounty for breaking it, but under a very constrained and unrealistic attack scenario. In the past, there had been several security vulnerabilities discovered in the Telegram app. If you are concerned about security, I do not recommend you using Telegram. Telegram's security relies mostly on you trusting Pavel Durov, which makes it not very much different from any other messenger.</p>
<p>Signal is better, but has certain drawbacks too. Namely: It requires a phone number. You can't host your own server. The interface is not very good and feature-rich at the moment. The first two apply to Telegram as well. I don't know about the third one, YMMV.</p>
<p>Tor + XMPP + OTR is the way to go. That's what drug dealers, hackers and other shady entities use.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274764"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274764" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274755" class="permalink" rel="bookmark">Telegram is shit. No end-to…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274764">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274764" class="permalink" rel="bookmark">in russia there was a cmd…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>in russia there was a cmd from FSB to kick-off any encrypted comms from msgers lately. all this mobile msgers is junk, except you build your own.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274825"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274825" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 06, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274764" class="permalink" rel="bookmark">in russia there was a cmd…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274825">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274825" class="permalink" rel="bookmark">If you trust to mobile…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you trust to mobile platform in principle, you can use Signal (advertised by Snowden, AFAIR). But it is not as popular as other messengers. When it becomes popular, state entities will start blocking it too, I think.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274858"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274858" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 09, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274764" class="permalink" rel="bookmark">in russia there was a cmd…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274858">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274858" class="permalink" rel="bookmark">&gt;assummes that signal is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt;assummes that signal is russian messenger</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274808"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274808" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 05, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274755" class="permalink" rel="bookmark">Telegram is shit. No end-to…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274808">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274808" class="permalink" rel="bookmark">&gt; Tor + XMPP + OTR is the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Tor + XMPP + OTR is the way to go. That's what drug dealers, hackers and other shady entities use.</p>
<p>In the current political climate, I think it is very dangerous to the continued existence of Tor Project to promote the demonstrably false claim that "only criminals use Tor" [sic].</p>
<p>I use Tor every day, and I've never bought or used illegal drugs or illegal anything, and have no interest in doing so.  I use Tor to try to protect my privacy on-line and to try to safely engage in political activism, something which is becoming increasingly dangerous everywhere in the world, including "Western democracies".   Many people involved in human rights work use Tor to try to survive will doing this essential but dangerous work.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274877"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274877" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>John Doe (not verified)</span> said:</p>
      <p class="date-time">April 11, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274808" class="permalink" rel="bookmark">&gt; Tor + XMPP + OTR is the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274877">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274877" class="permalink" rel="bookmark">Chill. Like Tor doesn&#039;t…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Chill. Like Tor doesn't already have a rep. The reference is for people that really depend anonymity tools know more than norm avoiding the campus firewall.  So yes, even you and the activists are lumped in with the rest of us "shady entities".</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-274715"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274715" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>AJ (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274715">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274715" class="permalink" rel="bookmark">@hoek :
Tungsten messenger,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@hoek :<br />
Tungsten messenger, uses Tor. You don't need a phone number or email<br />
XMPP, most servers you can register anonymous<br />
Threema, unfortunately closed source, but is has good reviews. No phone number or mail adres needed</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274892"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274892" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274715" class="permalink" rel="bookmark">@hoek :
Tungsten messenger,…</a> by <span>AJ (not verified)</span></p>
    <a href="#comment-274892">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274892" class="permalink" rel="bookmark">https://www.tungstenapp.com/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://www.tungstenapp.com/" rel="nofollow">https://www.tungstenapp.com/</a> says "Sign up for early access for Tungsten Desktop". I need to give them email to get link to download of desktop version... strange.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274893"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274893" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274715" class="permalink" rel="bookmark">@hoek :
Tungsten messenger,…</a> by <span>AJ (not verified)</span></p>
    <a href="#comment-274893">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274893" class="permalink" rel="bookmark">It says
We’re building…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://www.tungstenapp.com/about-us" rel="nofollow">It says</a></p>
<blockquote><p>We’re building Tungsten with a very clear and honest business model: users will pay to use Tungsten.</p></blockquote>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274894"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274894" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274715" class="permalink" rel="bookmark">@hoek :
Tungsten messenger,…</a> by <span>AJ (not verified)</span></p>
    <a href="#comment-274894">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274894" class="permalink" rel="bookmark">From site:
Is Tungsten’s…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>From site:</p>
<blockquote><p>Is Tungsten’s code open source?</p>
<p>We are currently evaluating going down the open source route, until then our code will be open for third party audits by interested parties and auditors.</p>
<p>Can I export my chat history or data from Tungsten?</p>
<p>The paid version of Tungsten supports flexible export options such as encrypted file dumps, encrypted dumps to cloud services and backups to iCloud. The free version of Tungsten only supports iCloud backup.</p></blockquote>
<p>Veyr interesting. Natively supports tor. Basic features are free for users. However, now it is not yet opensourced, and desktop clients are not yet provided. Many nice featuers like magic pins. The bad thing that it is centralized (while matrix/riot isn't). The good thing it doesn't store history on servers forever (matrix does).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274716"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274716" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274716">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274716" class="permalink" rel="bookmark">Sad!!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sad!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274717"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274717" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>rugk (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274717">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274717" class="permalink" rel="bookmark">Please do not recommend Coy…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please <strong>do not</strong> recommend Coy.im as an XMPP messenger.</p>
<p>They <a href="https://github.com/coyim/coyim/issues/233" rel="nofollow">do not want to support OMEMO</a>, the encryption protocol based on the modern Signal protocol, <a href="https://omemo.top/" rel="nofollow">which many XMPP messengers implemented or aim to implement</a>[2] and which supports modern stuff such as multi-device messaging and offline messages.<br />
Coy.im instead develop a <em>new</em> version of the OTR protocol (which I assume no other XMPP messenger supports), which does not support multi-device messaging or offline messages.</p>
<p>And IMHO, their reasons to decline OMEMO support are kinda shady. They basically are "we do not use OMEMO personally, so we don't care".</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274739"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274739" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274717" class="permalink" rel="bookmark">Please do not recommend Coy…</a> by <span>rugk (not verified)</span></p>
    <a href="#comment-274739">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274739" class="permalink" rel="bookmark">Well, I&#039;ve read the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well, I've read the discussion at github, and motivation of CoyIM author is clear for me. He thinks that OTRv4 is simpler to add than adding completely new protocol.</p>
<p>OMEMO, as I understand, was not developed with anonymity in mind, where multiple devices support is mostly nightmare and not an advantage. Well, we are very far from having any reliable mobile platform for anonymous use! It is both software and hardware problem, many proprietary and closed source firmware, etc... If we still have troubles with desktop PC's Intel ME and proprietary BIOS, what do we have to say about much worse situation with mobile platforms? </p>
<p>The last point is compatibility. Now XMPP is supported by a lot of clients, it is de facto a geek standard for communication. With CoyIM you can support messaging with those geeks who are still not using specialized tools and continue to use XMPP+OTR/PGP.</p>
<p>If OMEMO will be really the next widespread standard, I feel CoyIM will implement it. So, CoyIM author is right saying it is not near future. However, if you really need it <strong>now</strong>, as the author said, just fork the project and implement it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274719"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274719" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274719">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274719" class="permalink" rel="bookmark">Very sad, I was waiting for…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Very sad, I was waiting for a stable release. Hope in a near future solution for that.<br />
( TIP ) Also an online ( sort of ) messenger version would be nice for someone. Maybe managed by torproject.onion ??</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274720"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274720" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274720">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274720" class="permalink" rel="bookmark">What about ricochet?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What about ricochet?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274732"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274732" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span># (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274720" class="permalink" rel="bookmark">What about ricochet?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274732">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274732" class="permalink" rel="bookmark">Know ones heard from…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Know ones heard from Ricochet for years ,communications really bad and tor project used to support this too</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274747"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274747" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Leblond (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274720" class="permalink" rel="bookmark">What about ricochet?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274747">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274747" class="permalink" rel="bookmark">What about Retroshare? They…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What about Retroshare? They offer now a Tor-only version that configures Tor automatically (like Ricochet) and provides the same level of anonymity with much more features (forums, channels, chat, email, etc)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274721"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274721" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>still hope (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274721">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274721" class="permalink" rel="bookmark">What about Ricochet? https:/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What about Ricochet? <a href="https://ricochet.im/" rel="nofollow">https://ricochet.im/</a></p>
<p>I wish The Tor Project would endorse it, contribute heavily to it or even better hire the main devs.</p>
<p>Ricochet uses Tor core functionality, aka an unique onion service to connect two people together, without any metadata. It's also completely open source (on github).</p>
<p>I don't know any other messaging app that uses Tor as much as this one, as it's entirely based on it. I've always seen Ricochet as the only real Tor messaging app, but never understood why it doesn't have more PR or official endorsement from the community. I wish people knew more about it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274729"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274729" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274721" class="permalink" rel="bookmark">What about Ricochet? https:/…</a> by <span>still hope (not verified)</span></p>
    <a href="#comment-274729">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274729" class="permalink" rel="bookmark">Have you checked out Briar?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Have you checked out <a href="https://briarproject.org" rel="nofollow">Briar</a>? It is a delay tolerant p2p messenger using Tor onion services for communicating over the internet, but can fall back to Bluetooth or WiFi as well.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274756"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274756" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>AJ (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274729" class="permalink" rel="bookmark">Have you checked out Briar?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274756">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274756" class="permalink" rel="bookmark">I did.
You can only add…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I did.<br />
You can only add contacts by scanning the QRcode on your devices, that's a bit difficult while my contacts are not living in my neighbourhood.<br />
Besides that, scan with a tablet does not work.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274792"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274792" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>goapunk (not verified)</span> said:</p>
      <p class="date-time">April 04, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274756" class="permalink" rel="bookmark">I did.
You can only add…</a> by <span>AJ (not verified)</span></p>
    <a href="#comment-274792">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274792" class="permalink" rel="bookmark">We&#039;ve worked on improving…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We've worked on improving this, so there's a good chance that scanning should work with tablets (and devices only only having a front camera in general) now.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274827"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274827" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 06, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274729" class="permalink" rel="bookmark">Have you checked out Briar?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274827">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274827" class="permalink" rel="bookmark">As I see there is no desktop…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As I see there is no desktop client for briar, it can be used only from mobile platfrom. I still would suggest matrix/riot in these cases which some matrix server on onion service (at the moment, no one, but anybody can make it).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274888"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274888" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274827" class="permalink" rel="bookmark">As I see there is no desktop…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274888">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274888" class="permalink" rel="bookmark">at the moment, no one, but…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>at the moment, no one, but anybody can make it</p></blockquote>
<p>Now addition of onion mirror for matrix.org is on GitHub tickets. However, it can take forever to launch, because priority is very small. Matrix.org and other matrix servers do not allow to register account using Tor because it requires Google reCAPTCHA which blocks tor now. But if you already registered you can use it freely with tor, it works nice (though, without VoIP at the moment).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-274741"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274741" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274721" class="permalink" rel="bookmark">What about Ricochet? https:/…</a> by <span>still hope (not verified)</span></p>
    <a href="#comment-274741">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274741" class="permalink" rel="bookmark">There&#039;s another Ricochet…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There's another Ricochet-like app: <a href="https://github.com/AnemoneLabs/unmessage" rel="nofollow">https://github.com/AnemoneLabs/unmessage</a></p>
<p>It even has audio chat ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274742"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274742" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Denis Suarez (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274721" class="permalink" rel="bookmark">What about Ricochet? https:/…</a> by <span>still hope (not verified)</span></p>
    <a href="#comment-274742">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274742" class="permalink" rel="bookmark">There&#039;s another Ricochet…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There's another Ricochet-like app: unMessage <a href="https://github.com/AnemoneLabs/unmessage" rel="nofollow">https://github.com/AnemoneLabs/unmessage</a></p>
<p>It even has <strong>audio support</strong> ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274826"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274826" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 06, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274721" class="permalink" rel="bookmark">What about Ricochet? https:/…</a> by <span>still hope (not verified)</span></p>
    <a href="#comment-274826">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274826" class="permalink" rel="bookmark">Ricochet like any other p2p…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ricochet like any other p2p-over-tor messengers makes onion service in your tor client. You become a server! If your contact is your adversary, for him it will be simpler to attack you, to DDoS you, to do a lot of network-based attacks against you. The second problem is absence of offline messages. In my opinion, ricochet can only be used with highly trusted person.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274725"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274725" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Daniel Christianson (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274725">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274725" class="permalink" rel="bookmark">This makes me sad :( I hope…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This makes me sad :( I hope someone with the means &amp; funding helps make this a possibility again. Tor is a GREAT CAUSE. The future, true democracy &amp; freedom depends on organizations/technology like Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274727"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274727" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anon Y. Mouse (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274727">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274727" class="permalink" rel="bookmark">Why has there been no…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why has there been no mention of Tox (<a href="https://tox.chat/" rel="nofollow">https://tox.chat/</a> &amp; protocol info: <a href="https://en.wikipedia.org/wiki/Tox_(protocol)" rel="nofollow">https://en.wikipedia.org/wiki/Tox_(protocol)</a> )?  You think the TOR Project people would look to that to continue TOR Messenger!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274889"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274889" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274727" class="permalink" rel="bookmark">Why has there been no…</a> by <span>Anon Y. Mouse (not verified)</span></p>
    <a href="#comment-274889">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274889" class="permalink" rel="bookmark">If you need pure p2p…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you need pure p2p protocol over tor, ricochet and unmessage are much better. If you also need connection to outside of tor, the total amount of modern features of riot (matrix) beats tox. Tox is very old project which most probably will not survive in this battle. Amount of features of matrix protocol as awesome in comparison with any old-style protocols including tox. It also includes modern crypto with transparent end-to-end encryption of not only messages, but also of offline messages, of group chats, of group file transfer, of group audio and of group conference VoIP. It is already close to the state of future social network. Outstanding. Matrix is under too active development now, and it will kill most of other messengers. If you need pure p2p, make your own matrix server behind onion and onion-to-onion protocol, then you will get p2p.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274728"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274728" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Tore (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274728">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274728" class="permalink" rel="bookmark">Ricochet works, just needs…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><strong>Ricochet</strong> works, just needs more love. I will the Tor Project would support this project directly, or indirectly.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274733"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274733" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span># (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274728" class="permalink" rel="bookmark">Ricochet works, just needs…</a> by <span>Tore (not verified)</span></p>
    <a href="#comment-274733">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274733" class="permalink" rel="bookmark">Ricochet needs more love !!…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ricochet needs more love !! and thrown in Tails OS at the same time SOON  , like Now !  not ten years out</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274767"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274767" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274733" class="permalink" rel="bookmark">Ricochet needs more love !!…</a> by <span># (not verified)</span></p>
    <a href="#comment-274767">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274767" class="permalink" rel="bookmark">Ricochet just need an…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ricochet just need the additonal ANDROID port &amp; v3 directory by default :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-274731"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274731" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>druze (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274731">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274731" class="permalink" rel="bookmark">A communication stack…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A communication stack composed of Tox and Tor solves both the metadata and centralization problem, yet receives no mention at all in this post. So does Ricochet, which embeds a Tor client in itself (also never mentioned).</p>
<p>"Torification" of common XMPP clients plus decent E2E encryption solves the metadata problem as well. There is still plenty of hope for secure IM over the internet.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274734"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274734" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274734">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274734" class="permalink" rel="bookmark">Remember Torchat? I wish i…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Remember Torchat? I wish i could contribute right now<br />
<a href="https://github.com/prof7bit/TorChat/wiki" rel="nofollow">https://github.com/prof7bit/TorChat/wiki</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274735"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274735" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274735">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274735" class="permalink" rel="bookmark">Tails has Pidgin with XMPP…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tails has Pidgin with XMPP built in</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274737"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274737" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274737">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274737" class="permalink" rel="bookmark">Sad, but not unexpected …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sad, but not unexpected (handwriting visible on wall for some time...)</p>
<p>Will sukhbir still be working for TP but on other projects?</p>
<p>Can TP share some information on the financial state of TP?   If lots of people are being laid off, that's bad.  Any feedback on how the US political situation might impact TP and Tor users in the next few months?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274738"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274738" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 02, 2018</p>
    </div>
    <a href="#comment-274738">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274738" class="permalink" rel="bookmark">Check out EFF&#039;s series about…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>Check out EFF's series about secure messaging to get up to speed on what to consider in a messenger. </p></blockquote>
<p>I think the best thing now is something like Signal protocol, but nobody wants to implement it for some desktop secure app not requiring any phone number. Isn't it?</p>
<blockquote><p>If you still really need XMPP, despite its centralized metadata problems, check out CoyIM. </p></blockquote>
<p>It is not only problem, but also an advantage. Any decentralized service makes your tor client hosting some HS, i.e. lowers your anonymity and increasing surface for attacks. Also it is hard to make anything that supports offline messages and be decentralized at the same time (pond tried to do that, but support of this messenger was discontinued, and it was not really real-time messenger).</p>
<p>CoyIM was really improved in its last versions. I think it is mostly safe alternative. When support of offline messages with OTRv4 is added to CoyIM, it will be really fine. Now end-to-end encrypted offline messages can be sent only with traditional XMPP clients that support PGP encryption.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274752"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274752" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274738" class="permalink" rel="bookmark">Check out EFF&#039;s series about…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274752">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274752" class="permalink" rel="bookmark">I think the best thing now…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>I think the best thing now is something like Signal protocol, but nobody wants to implement it for some desktop secure app not requiring any phone number. Isn't it?</p></blockquote>
<p>Different desktop clients support <a href="https://omemo.top/" rel="nofollow">OMEMO</a>, the XMPP-based implementation of the Signal protocol. Most notably, Gajim and Pidgin are both multiplatform and support SOCKS proxies as well.</p>
<p>On Android, Conversations is i think the only client supporting both OMEMO and Tor hidden services.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274770"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274770" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274752" class="permalink" rel="bookmark">I think the best thing now…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274770">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274770" class="permalink" rel="bookmark">Well, it is interesting. I…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well, it is interesting. I checked OMEMO <a href="https://xmpp.org/extensions/xep-0384.html" rel="nofollow">xep-0384</a> and its <a href="https://conversations.im/omemo/audit.pdf" rel="nofollow">audit                 report</a>.</p>
<p>There is a lot of criticism (though it may still be better than OTR) with 2 mainly worrying things:</p>
<ol>
<li>OMEMO is relied on <a href="https://xmpp.org/extensions/xep-0313.html" rel="nofollow">MAM</a>. It stores encrypted messages at XMPP server forever(?), which is not good for security. That is also messing with forward/future secrecy and key renewal (see report). Namely, the report says:<br />
<blockquote><p>The  MAM  was  designed  as  a  message  archive,  but  instead  it  is  used  here  as  a  message cache.  The ciphertext messages will remain stored online after they have been downloaded, even  though  the  keys  will  be  discarded  upon  encryption.  This  does  not  affect  security,  but it wastes space on the server.  A client should delete the message from the server after they decrypted it and deleted the message keys.</p></blockquote>
<p>I am not comfortable with the fact that all messages I ever received with XMPP will be stored forever at XMPP server, especially taking into account another remark from the same report:</p>
<blockquote><p>Users have no method for purging their own keys or otherwise marking them as compromised.</p></blockquote>
</li>
<li>Like in OTR we still have AES-128 which cannot be changed to any better algorithm (e.g. AES-256). I do not fully understand how forward secrecy holds with quantum computers, but due to Grover's algorithms we need to keep it in mind that AES-128 is something like AES-64 for quantum computer. I believe AES-128 should be strongly discouraged everywhere already now!</li>
</ol>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274803"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274803" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 05, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274770" class="permalink" rel="bookmark">Well, it is interesting. I…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274803">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274803" class="permalink" rel="bookmark">Message archive ( XEP-0313 )…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Message archive ( XEP-0313 ) is not needed for OMEMO.  Instead of the message archive, use Message Carbons (XEP-0280).  <strong>This does not store a message on the server</strong></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274771"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274771" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274752" class="permalink" rel="bookmark">I think the best thing now…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274771">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274771" class="permalink" rel="bookmark">I was mistaken by confusing…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I was mistaken by confusing two things: signal protocol and Signal as a particular implementation. As all mobile messengers Signal doesn't want me to use it from desktop PC without revealing my phone number first. However, yes, there is an alternative implementation of Signal protocol for XMPP (OMEMO) which can be used, but which is not compatible with original Signal mobile app.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-274745"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274745" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
    <a href="#comment-274745">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274745" class="permalink" rel="bookmark">There&#039;s also Briar (https:/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There's also Briar (<a href="https://briarproject.org/" rel="nofollow">https://briarproject.org/</a>)! It's decentralized and uses Tor to prevent any metadata leaking.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274823"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274823" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 06, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274745" class="permalink" rel="bookmark">There&#039;s also Briar (https:/…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274823">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274823" class="permalink" rel="bookmark">Briar looks like an…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Briar looks like an excellent alternative. The developer list is impressive and it even passed a security audit.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274890"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274890" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274745" class="permalink" rel="bookmark">There&#039;s also Briar (https:/…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274890">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274890" class="permalink" rel="bookmark">No desktop client = no…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No desktop client = no consideration.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274748"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274748" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Beluga (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
    <a href="#comment-274748">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274748" class="permalink" rel="bookmark">There is now a special Tor…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There is now a special Tor version of Retroshare: <a href="https://retroshareteam.wordpress.com/2018/03/13/release-notes-for-v0-6-4/" rel="nofollow">https://retroshareteam.wordpress.com/2018/03/13/release-notes-for-v0-6-…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274760"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274760" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
    <a href="#comment-274760">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274760" class="permalink" rel="bookmark">There&#039;s also keybase chat …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There's also keybase chat (<a href="https://keybase.io" rel="nofollow">https://keybase.io</a>)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274849"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274849" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Corpsegrinder (not verified)</span> said:</p>
      <p class="date-time">April 08, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274760" class="permalink" rel="bookmark">There&#039;s also keybase chat …</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274849">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274849" class="permalink" rel="bookmark">What about Cyph?https://www…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What about Cyph?<br />
<a href="https://www.cyph.com" rel="nofollow">https://www.cyph.com</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274895"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274895" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274849" class="permalink" rel="bookmark">What about Cyph?https://www…</a> by <span>Corpsegrinder (not verified)</span></p>
    <a href="#comment-274895">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274895" class="permalink" rel="bookmark">Very interesting, but I…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Very interesting, but I cannot see any mention of its desktop version and open source code yet. Seems very young project. Looks like their model are payed accounts (see "pricing") for some or all categories (not clear for me yet).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-274761"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274761" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="StealthyDecentralizedMessenger">StealthyDecent… (not verified)</span> said:</p>
      <p class="date-time">April 03, 2018</p>
    </div>
    <a href="#comment-274761">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274761" class="permalink" rel="bookmark">We have developed stealthy…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We have developed stealthy.im, a fully decentralized and encrypted messenger. Would love your feedback and let us know how we can fulfill your needs!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274793"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274793" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Laurent (not verified)</span> said:</p>
      <p class="date-time">April 04, 2018</p>
    </div>
    <a href="#comment-274793">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274793" class="permalink" rel="bookmark">Is there a special trick to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is there a special trick to download Tor Messenger?</p>
<p>All I get is<br />
The requested URL /tormessenger/0.5.0b1/tormessenger-install-0.5.0b1_en-US.exe was not found on this server.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274800"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274800" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>User 404 (not verified)</span> said:</p>
      <p class="date-time">April 04, 2018</p>
    </div>
    <a href="#comment-274800">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274800" class="permalink" rel="bookmark">OMEMO does not need MAM…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><strong>OMEMO does not need MAM(Messanges arxiv)</strong>. Please register on server 404.city ​​and see for yourself.  At 404, MAM is off and everything works fine</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274809"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274809" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 05, 2018</p>
    </div>
    <a href="#comment-274809">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274809" class="permalink" rel="bookmark">@ Tor Project: it would be…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@ Tor Project: it would be useful to post a comparision of the mentioned "anonymous encrypted chat" softwares mentioned above, using a sensible list of evaluations, such as whether chats are stored in a centralized location, are securely encrypted end to end, ease of obtaining an anonymously registered account (presumably meaning free as in free beer) on a server offering the protocol, etc.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274820"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274820" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 05, 2018</p>
    </div>
    <a href="#comment-274820">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274820" class="permalink" rel="bookmark">Does this mean the Tor…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Does this mean the Tor Project will return the hundreds of thousands of dollars it accepted to deliver a finished product?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274886"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274886" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274820" class="permalink" rel="bookmark">Does this mean the Tor…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274886">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274886" class="permalink" rel="bookmark">I am sure I am not the only…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am sure I am not the only one who has noticed that some people really, really, do not like Tor Project.   (Or are paid to act as if they dislike it.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-274857"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274857" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Morpheus (not verified)</span> said:</p>
      <p class="date-time">April 09, 2018</p>
    </div>
    <a href="#comment-274857">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274857" class="permalink" rel="bookmark">I like Torchat and still…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I like <strong>Torchat</strong> and still using it :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274883"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274883" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274857" class="permalink" rel="bookmark">I like Torchat and still…</a> by <span>Morpheus (not verified)</span></p>
    <a href="#comment-274883">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274883" class="permalink" rel="bookmark">Me too. Simple and easy to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Me too. Simple and easy to use.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-274891"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274891" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 12, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-274857" class="permalink" rel="bookmark">I like Torchat and still…</a> by <span>Morpheus (not verified)</span></p>
    <a href="#comment-274891">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274891" class="permalink" rel="bookmark">It is obsolete already a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It is obsolete already a long time. Use ricochet or unmessage instead.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-275006"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275006" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>acirdi (not verified)</span> said:</p>
      <p class="date-time">April 24, 2018</p>
    </div>
    <a href="#comment-275006">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275006" class="permalink" rel="bookmark">I ditched Matrix/Riot ever…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I ditched Matrix/Riot ever since it is funded by a Blockchain (Etherum) Startup and wants to integrate Blockchain based apps (widgets). </p>
<p>The blockchain technology is still anything but sustainable (waste of natural resources), essentially implements a ponzi scheme (encouraging speculation and hypercapitalism) and it is questionable how free and decentralized it really is (who really has the power to decide where the next fork goes?). And I question if this technology will make our world more fair and just as it is marketed, if it is in the interested of the people or rather the ones that are pushing this technology on this planet (whoever they are and whatever their true interest is). </p>
<p>I therefore prefer to stick with good old XMPP, a standard that prompotes federation and decentralization that works in the interest of the people. And yes, secure and private chat with XMPP is not at all that easy (with all the different solutions and levels of implemenation quality).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275240"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275240" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Raw (not verified)</span> said:</p>
      <p class="date-time">May 09, 2018</p>
    </div>
    <a href="#comment-275240">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275240" class="permalink" rel="bookmark">You should try Tox https:/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You should try Tox <a href="https://tox.chat" rel="nofollow">https://tox.chat</a>. It's a p2p free and open source messenger that works over Tor. It has audio and video chats and allows sending files. It has group conversations as well. There are desktop and mobile clients. It hasn't had an audit yet but it's worth looking into.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275757"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275757" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>abdullah (not verified)</span> said:</p>
      <p class="date-time">June 13, 2018</p>
    </div>
    <a href="#comment-275757">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275757" class="permalink" rel="bookmark">what can we use now?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>what can we use now?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-276125"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276125" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 13, 2018</p>
    </div>
    <a href="#comment-276125">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276125" class="permalink" rel="bookmark">What about qTox? Is it a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What about qTox? Is it a good and safe alternative?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-276241"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276241" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Andy (not verified)</span> said:</p>
      <p class="date-time">July 25, 2018</p>
    </div>
    <a href="#comment-276241">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276241" class="permalink" rel="bookmark">Tor project still accept…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor project still accept donation but REFUSE to let the people download software already available.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-276242"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276242" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Andy (not verified)</span> said:</p>
      <p class="date-time">July 25, 2018</p>
    </div>
    <a href="#comment-276242">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276242" class="permalink" rel="bookmark">Just leave this here...https…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Just leave this here...<br />
<a href="https://web.archive.org/web/20171003223504/https://dist.torproject.org/tormessenger/0.5.0b1/tormessenger-install-0.5.0b1_en-US.exe" rel="nofollow">https://web.archive.org/web/20171003223504/https://dist.torproject.org/…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278615"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278615" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Brit (not verified)</span> said:</p>
      <p class="date-time">November 27, 2018</p>
    </div>
    <a href="#comment-278615">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278615" class="permalink" rel="bookmark">what you think about Ring…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>what you think about Ring?<br />
<a href="http://ring.cx" rel="nofollow">http://ring.cx</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
